base_lightRGB
{
	q3map_lightRGB .8 .9 1
	q3map_texturesize 1 1
}

textures/dfwc2010-5/skybox
{
	skyparms env/Icy_Planet_Sky/icey_planet - -
	q3map_baseShader base_lightRGB
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_sunExt 1 1 1 50 60 200 3 16
	q3map_skyLight 200 3
	q3map_lightmapFilterRadius 0 8	
}

textures/dfwc2010-5/skybox_surfacelight
{
	skyparms env/Icy_Planet_Sky/icey_planet - -
	q3map_baseShader base_lightRGB
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_sunExt 1 1 1 50 60 250 3 16
	q3map_skyLight 250 3
	q3map_lightmapFilterRadius 0 8	
	q3map_surfacelight 700
}

textures/dfwc2010-5/portal
{
	skyparms env/Icy_Planet_Sky/icey_planet - -
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	surfaceparm nonsolid

	q3map_globaltexture
}

textures/dfwc2010-5/_skybox_remap
{
	{
		map textures/dfwc2010-5/_skybox_remap.tga
		tcMod turb 0 .03 0 .1
		rgbGen wave sin .7 .1 0 .15
		blendFunc add
	}
}

textures/dfwc2010-5/_skybox_remap_fade1
{
	{
		map textures/dfwc2010-5/_skybox_remap_fade1.tga
		tcMod turb 0 .03 0 .1
		rgbGen wave sin .7 .1 0 .15
		blendFunc add
	}
}

textures/dfwc2010-5/lava
{
	q3map_baseShader base_lightRGB
	q3map_globaltexture
	q3map_tessSize 128
	surfaceparm trans
	qer_trans 0.5 
	surfaceparm noimpact
	q3map_surfacelight 1000
	deformVertexes wave 100 sin 0 8 0 0.16
	deformVertexes wave 100 sin 0 4 0 0.08
	deformVertexes wave 100 sin 0 2 0 0.04
	{
		map textures/dfwc2010-5/lava.tga
		tcMod turb 0 .02 0 .08
		tcMod turb 0 .02 0 .16
		blendFunc add
		rgbGen wave sin .5 0 0 .25
	}
	{
		map textures/dfwc2010-5/lava.tga
		tcMod turb 0 .02 0 .08
		tcMod turb 0 .02 0 .16
		blendFunc add
		rgbGen wave sin .3 .15 0 .25
	}
}

textures/dfwc2010-5/blackfog128
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_trans 0.5 
	q3map_surfacelight 100
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 128
}

textures/dfwc2010-5/blackfog192
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_trans 0.5 
	q3map_surfacelight 100
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 192
}

textures/dfwc2010-5/blackfog256
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_trans 0.5 
	q3map_surfacelight 100
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 256
}

textures/dfwc2010-5/andromeda_ubase_trim3
{
	qer_editorimage textures/andromeda_trim/ubase_trim3.tga
	{
		map textures/andromeda_trim/ubase_trim3.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/dfwc2010-5/chrome.tga
		tcGen environment
		blendfunc add
		rgbGen const ( .01 .01 .01 )
	}
}

textures/dfwc2010-5/andromeda_u_trm16_1
{
	qer_editorimage textures/andromeda_trim/u_trm16_1.tga
	{
		map textures/andromeda_trim/u_trm16_1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/dfwc2010-5/chrome.tga
		tcGen environment
		blendfunc add
		rgbGen const ( .01 .01 .01 )
	}
}

textures/dfwc2010-5/arctic_light8_1
{
	qer_editorimage textures/arctic/light8_1.tga
	q3map_baseShader base_lightRGB
	q3map_surfacelight 15000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arctic/light8_1.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/arctic/light8_1.blend.tga
		blendFunc add
	}
}

textures/dfwc2010-5/evil8_e8tinylightblue
{
	qer_editorimage textures/evil8_lights/e8tinylightblue.tga
	q3map_baseShader base_lightRGB
	q3map_surfacelight 15000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/evil8_lights/e8tinylightblue.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/dfwc2010-5/e8tinylightblue_blend.tga
		blendFunc add
	}
}

textures/dfwc2010-5/andromeda_u_lamp4
{
	qer_editorimage textures/andromeda_lights/u_lamp4.tga
	q3map_baseShader base_lightRGB
	q3map_surfacelight 7000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/andromeda_lights/u_lamp4.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/andromeda_lights/u_lamp4_blend.tga
		blendFunc add
	}
}

textures/dfwc2010-5/andromeda_u_thinline1_blue
{
	qer_editorimage textures/andromeda_lights/u_thinline1_blue.tga
	q3map_baseShader base_lightRGB
	q3map_surfacelight 700
	{
		map textures/andromeda_lights/u_thinline1_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/andromeda_lights/u_thinline1_blue_blend.tga
		blendfunc add
	}
}

textures/dfwc2010-5/andromeda_ubase4_nonsolid
{
	qer_editorimage textures/andromeda_walls/ubase4.tga
	surfaceparm nonsolid
	{
		map textures/andromeda_walls/ubase4.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/dfwc2010-5/andromeda_r_trim_22h_nonsolid
{
	qer_editorimage textures/andromeda_trim/r_trim_22h.tga
	surfaceparm nonsolid
	{
		map textures/andromeda_trim/r_trim_22h.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/dfwc2010-5/andromeda_ubase_trim7_scroll
{
	qer_editorimage textures/andromeda_trim/ubase_trim7.tga
	{
		map textures/andromeda_trim/ubase_trim7.tga
		tcmod scroll .25 0
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/dfwc2010-5/tnx
{
	qer_editorimage textures/dfwc2010-5/tnx.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map textures/dfwc2010-5/tnx.tga
		blendfunc filter
	}
}